# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit git-r3

DESCRIPTION="A personal collection of scripts, aliases, zsh envs, and a nice prompt."
HOMEPAGE="https://git.decade.cz/overwatch/${PN}"
EGIT_REPO_URI="https://git.decade.cz/overwatch/${PN}.git"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="*"
IUSE="+tools +prompt +locale +screen"

RDEPEND="
	tools? ( dev-python/psutil dev-python/over )
	prompt? ( dev-vcs/git sys-fs/btrfs-progs )
"

src_compile() {
	if use prompt; then
		ewarn "This is a prototype written in Python. Expect lower performance."
	fi
}

src_install() {
	if use tools; then
		dobin bin/*
	fi
	
	if use prompt; then
		insinto /usr/share/${PN}
		doins lib/{prompt-init,prompt.py}
	fi
	
	insinto /usr/share/${PN}
	doins lib/python-startup.py
	
	insinto /etc/zsh
	doins etc/zsh/zshrc
	
	insinto /etc
	doins -r etc/over
	
	if use screen; then
		insinto /etc
		doins etc/{screenrc,screenrc.over}
	fi
	
	if use locale; then
		insinto /usr/share/i18n/locales
		doins locale/en_EU
	fi
}

pkg_postinst() {
	if use prompt; then
		einfo "Source /usr/share/over-env/prompt-init to enable the prompt."
		einfo "It can be configured in /etc/over/env/prompt.cfg"
	fi
}
